Last Comment Bug 665272 - build failure about "find: jsloader: No such file or directory"
: build failure about "find: jsloader: No such file or directory"
Status: RESOLVED FIXED
[inbound]
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: Firefox 8
Assigned To: Michael Wu [:mwu]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-18 02:24 PDT by Harald Dunkel
Modified: 2011-07-20 07:00 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Require unzip during configure (542 bytes, patch)
2011-06-20 16:12 PDT, Michael Wu [:mwu]
ted: review+
Details | Diff | Splinter Review

Description Harald Dunkel 2011-06-18 02:24:54 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/5.0/source/firefox-5.0.source.tar.bz2

Building 5.0 with (or without) "--disable-jsloader" I got

:
:
resource://gre/modules/PluralForm.jsm
resource://gre/modules/AddonRepository.jsm
resource://gre/modules/PlacesDBUtils.jsm
resource://gre/modules/WindowDraggingUtils.jsm
resource://gre/modules/HUDService.jsm
resource://gre/modules/CSPUtils.jsm
find: `jsloader': No such file or directory
touch: missing file operand
Try `touch --help' for more information.
make[2]: *** [install] Error 123
make[2]: Leaving directory `/tmp/buildd/raw-firefox-5.0/mozilla-central/obj/browser/installer'


Reproducible: Always




mozconfig:

mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj
ac_add_options --enable-application=browser
mk_add_options MOZ_CO_PROJECT=browser

ac_add_options --enable-optimize 
ac_add_options --enable-libxul
ac_add_options --enable-extensions=default
ac_add_options --disable-tests
ac_add_options --enable-crypto
ac_add_options --enable-xft
ac_add_options --disable-static
ac_add_options --enable-shared
ac_add_options --enable-official-branding
ac_add_options --prefix=/usr
ac_add_options --mandir='${prefix}/share/man'
ac_add_options --infodir='${prefix}/share/info'
ac_add_options --with-default-mozilla-five-home='/usr/lib/mozilla'
ac_add_options --disable-installer
ac_add_options --disable-updater
ac_add_options --disable-crashreporter
ac_add_options --disable-jsloader
ac_add_options --enable-webm
ac_add_options --with-system-jpeg
ac_add_options --with-system-zlib
Comment 1 Harald Dunkel 2011-06-18 02:26:15 PDT
build platform is Squeeze (amd64) with backported yasm 1.1.
Comment 2 Harald Dunkel 2011-06-18 14:46:01 PDT
unzip wasn't installed. FF builds fine after adding it to the build environment.

Maybe the build script could print a warning about this?
Comment 3 Ted Mielczarek [:ted.mielczarek] 2011-06-20 10:57:56 PDT
Hm, we check for unzip in configure, but don't error if it's not found:
http://mxr.mozilla.org/mozilla-central/source/configure.in#969

If we require that to build now, we should error if it's not found.
Comment 4 Michael Wu [:mwu] 2011-06-20 16:12:17 PDT
Created attachment 540616 [details] [diff] [review]
Require unzip during configure
Comment 6 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-06-30 18:21:40 PDT
http://hg.mozilla.org/mozilla-central/rev/9fc0e6867256
Comment 7 Matt Brubeck (:mbrubeck) 2011-07-01 12:03:09 PDT
Backed out during investigation of Android browser-chrome test failures:
http://hg.mozilla.org/mozilla-central/rev/00bb08972e46
Comment 9 Marco Bonardo [::mak] 2011-07-20 07:00:51 PDT
http://hg.mozilla.org/mozilla-central/rev/917334a5932d

Note You need to log in before you can comment on or make changes to this bug.